package nc.ui.gl.triaccbooks;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;
import javax.swing.JFrame;
import nc.bs.logging.Log;
import nc.bs.logging.Logger;
import nc.ui.gl.cachefeed.BookCacheRequestFactory;
import nc.ui.gl.remotecall.GlRemoteCallProxy;
import nc.ui.gl.tools.JTableTool;
import nc.ui.gl.triaccbooks.ButtonKey;
import nc.ui.gl.triaccbooks.TriAccbooksModel;
import nc.ui.gl.triaccbooks.TriAccbooksView;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.glcom.balance.GlQueryVO;
import nc.vo.pub.BusinessException;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   protected ButtonObject[] m_accbooksBns;
   protected TriAccbooksView ivjTriAccbooksView = null;
   public IParent m_parent;
   public IUiPanel m_next;
   protected boolean isUILoaded = false;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000534");
   }

   private TriAccbooksView getTriAccbooksView() {
      if(this.ivjTriAccbooksView == null) {
         try {
            this.ivjTriAccbooksView = new TriAccbooksView(this);
            this.ivjTriAccbooksView.setName("TriAccbooksView");
            this.ivjTriAccbooksView.setBounds(0, 0, 800, 420);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjTriAccbooksView;
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_accbooksBns = new ButtonObject[10];
      this.m_accbooksBns[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_accbooksBns[0].setTag(ButtonKey.bnQRY);
      this.m_accbooksBns[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_accbooksBns[0].setCode("查询");
      this.m_accbooksBns[1] = new ButtonObject(ButtonKey.bnPrint);
      this.m_accbooksBns[1].setTag(ButtonKey.bnPrint);
      this.m_accbooksBns[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_accbooksBns[1].setCode("打印");
      this.m_accbooksBns[2] = new ButtonObject(ButtonKey.bnLC);
      this.m_accbooksBns[2].setTag(ButtonKey.bnLC);
      this.m_accbooksBns[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000178"));
      this.m_accbooksBns[2].setCode("明细");
      this.m_accbooksBns[3] = new ButtonObject(ButtonKey.bnFresh);
      this.m_accbooksBns[3].setTag(ButtonKey.bnFresh);
      this.m_accbooksBns[3].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_accbooksBns[3].setCode("刷新");
      this.m_accbooksBns[4] = new ButtonObject(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000003"));
      this.m_accbooksBns[4].setTag(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000003"));
      this.m_accbooksBns[4].setName(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000003"));
      this.m_accbooksBns[4].setCode("科目转换");
      this.m_accbooksBns[5] = new ButtonObject(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000004"));
      this.m_accbooksBns[5].setTag(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000004"));
      this.m_accbooksBns[5].setName(NCLangRes.getInstance().getStrByID("20021005", "UPT200210036-000004"));
      this.m_accbooksBns[5].setCode("外文名称");
      this.m_accbooksBns[6] = new ButtonObject(ButtonKey.bnFirst);
      this.m_accbooksBns[6].setTag(ButtonKey.bnFirst);
      this.m_accbooksBns[6].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000563"));
      this.m_accbooksBns[6].setCode("首页");
      this.m_accbooksBns[7] = new ButtonObject(ButtonKey.bnPriv);
      this.m_accbooksBns[7].setTag(ButtonKey.bnPriv);
      this.m_accbooksBns[7].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000561"));
      this.m_accbooksBns[7].setCode("上一页");
      this.m_accbooksBns[8] = new ButtonObject(ButtonKey.bnNext);
      this.m_accbooksBns[8].setTag(ButtonKey.bnNext);
      this.m_accbooksBns[8].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000562"));
      this.m_accbooksBns[8].setCode("下一页");
      this.m_accbooksBns[9] = new ButtonObject(ButtonKey.bnEnd);
      this.m_accbooksBns[9].setTag(ButtonKey.bnEnd);
      this.m_accbooksBns[9].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000564"));
      this.m_accbooksBns[9].setCode("末页");
      this.setButtons(this.m_accbooksBns);
   }

   protected void initialize() {
      try {
         this.setName("ToftpanelView");
         this.setLayout(new BorderLayout());
         this.setSize(800, 420);
         this.initButtons();
         this.add(this.getTriAccbooksView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getTriAccbooksView().setBillModel(new TriAccbooksModel());
   }

   public Object invoke(Object objData, Object objUserData) {
      if(objUserData != null && objUserData.toString().equals("SetQueryVO")) {
         this.getTriAccbooksView().setQueryVO((GlQueryVO)objData);
      }

      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftpanelView = new ToftPanelView();
         exception.setContentPane(aToftpanelView);
         exception.setSize(aToftpanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
      Log.getInstance(this.getClass().getName()).info("Next Closed,What I can do for it?");
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_accbooksBns.length; ++e) {
            if(bo.equals(this.m_accbooksBns[e])) {
               this.getTriAccbooksView().tackleBnsEvent(this.m_accbooksBns[e].getTag());
               break;
            }
         }
      } catch (Exception var3) {
         var3.printStackTrace();
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent p_parent) {
      p_parent.getUiManager().removeAll();
      p_parent.getUiManager().add(this, this.getName());
      if(p_parent instanceof ToftPanel) {
         ToftPanel e = (ToftPanel)p_parent;
         String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         e.updateStatusBarAccountMsg(orgbookname);
      }

      try {
         GlRemoteCallProxy.callProxyAsyn(BookCacheRequestFactory.newAccountingBookQueryContextVO("20023005"));
      } catch (BusinessException var4) {
         Logger.error("取后台缓存", var4);
      }

      this.m_parent = p_parent;
      this.getTriAccbooksView().setIParent(p_parent);
   }

   public void updateButtons() {
      super.updateButtons();
   }

   public boolean onClosing() {
      HashMap map = new HashMap();
      map.put(this.getTriAccbooksView().getTriAccbook().getClass().getName(), this.getTriAccbooksView().getTriAccbook());

      try {
         JTableTool.INSTANCE.saveColumnWidth(map);
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
      }

      return true;
   }
}
